Module | Ramaze::Helper::Form
In: | lib/ramaze/helper/form.rb

### Methods

form_build form_checkbox form_checkbox_tag form_error form_errors form_errors_from_model form_file form_hidden form_input form_password form_select form_submit form_tabindex form_text form_textarea

### Public Instance methods

form_build(tag_name, label, hash, &block)
form_checkbox(label, name, checked = false)
form_checkbox_tag(label, name, value, checked = false)
form_error(name, message)
form_errors()
form_errors_from_model(obj)
form_file(label, name)
form_hidden(name, value = nil)
form_input(label, hash)
form_password(label, name)
form_select(label, name, values, hash = {})

@example usage, normal select drop-down

      form_select('Favourite colors', :colors, @colors, :selected => @color)

@example usage for pre-selected value

      form_select('Favourite colors', :colors, @colors, :selected => @color)

@example usage, allow selecting multiple

      form_select('Cups', :cups, @cups, :selected => @cup, :multiple => 5)

form_submit(value = nil)
form_tabindex()
form_text(label, name, value = nil)
form_textarea(label, name, value = nil)

[Validate]